# Record Class DataNodeDescriptor

java.lang.Object
java.lang.Record
org.apache.cayenne.configuration.DataNodeDescriptor

public record DataNodeDescriptor(String name, DataSource dataSource, Class<? extends DbAdapter> adapterType, Class<? extends SchemaUpdateStrategy> schemaUpdateStrategyType) extends Record
Contains `DataNode` configuration.

Since:
  5.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DataNodeDescriptor.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataNodeDescriptor(String name, DataSource dataSource, Class<? extends DbAdapter> adapterType, Class<? extends SchemaUpdateStrategy> schemaUpdateStrategyType)`
  Creates an instance of a `DataNodeDescriptor` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<? extends DbAdapter>`
  `adapterType()`
  Returns the value of the `adapterType` record component.
  `DataSource`
  `dataSource()`
  Returns the value of the `dataSource` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `static DataNodeDescriptor.Builder`
  `of(String name)`
  `Class<? extends SchemaUpdateStrategy>`
  `schemaUpdateStrategyType()`
  Returns the value of the `schemaUpdateStrategyType` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataNodeDescriptor

    public DataNodeDescriptor(String name, DataSource dataSource, Class<? extends DbAdapter> adapterType, Class<? extends SchemaUpdateStrategy> schemaUpdateStrategyType)
    Creates an instance of a `DataNodeDescriptor` record class.
    Parameters:
      `name` - the value for the `name` record component
      `dataSource` - the value for the `dataSource` record component
      `adapterType` - the value for the `adapterType` record component
      `schemaUpdateStrategyType` - the value for the `schemaUpdateStrategyType` record component

- ## Method Details

  - ### of

    public static DataNodeDescriptor.Builder of(String name)
    Since:
      5.0

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### dataSource

    public DataSource dataSource()
    Returns the value of the `dataSource` record component.
    Returns:
      the value of the `dataSource` record component

  - ### adapterType

    public Class<? extends DbAdapter> adapterType()
    Returns the value of the `adapterType` record component.
    Returns:
      the value of the `adapterType` record component

  - ### schemaUpdateStrategyType

    public Class<? extends SchemaUpdateStrategy> schemaUpdateStrategyType()
    Returns the value of the `schemaUpdateStrategyType` record component.
    Returns:
      the value of the `schemaUpdateStrategyType` record component